Status: Resolved Start date: 09/05/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 0%
Category: C++ Estimated time: 1.00 hour
Target version: 0.5
Description
Check scopes -> spread groupnames cache
    -  Check for concurrent access
    -  Limit size

Associated revisions
Revision 6246a157 - 09/05/2011 08:17 PM - Arne Nordmann 

Cache for scopes -> spread groupnames
refs #549

Revision 60f06f3f - 09/23/2011 02:20 PM - J. Wienke

Flush cache if flooded

refs #549

History
#1 - 09/12/2011 04:31 PM - J. Wienke

Is this a result of the performance optimization? Or what is the reason to do this?

#2 - 09/12/2011 04:43 PM - J. Moringen

The introduction of the cache is an optimization. Currently, there is no concrete reason to suspect that the cache causes incorrect behavior. However,
we have to make sure there are no threading issues and the cache does not grow indefinitely.

#3 - 09/12/2011 04:48 PM - J. Wienke

Hm, could this be the performance optimizatio ncategory as well? Because other tickets are in that category.

#4 - 09/12/2011 04:51 PM - J. Moringen

Ideally, it would be in C++ and Performance Optimization.

#5 - 09/23/2011 01:41 PM - J. Wienke
- Status changed from New to In Progress
#6 - 09/23/2011 01:46 PM - J. Wienke
- Assignee set to J. Wienke

#7 - 09/23/2011 02:49 PM - J. Wienke
- Status changed from In Progress to Resolved

Fixed in r2717.

However, this probably decreases the performance again. Have a look at the commit message.

#8 - 10/27/2011 08:14 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
